ATMEL: Fs_management Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# Fs_management Struct Reference

Struture to save the variables frequently used by file system mounted. More...

`#include <fat.h>`

## Data Fields

U8 | u8_lun
| Number of logical driver.
U8 | u8_partition
| Number of partition - 1 (0 or 1).
U8 | u8_BPB_SecPerClus
| Cluster size (unit 512B).
U16 | u16_fat_size
| Size of one FAT (unit 512B).
U16 | u16_offset_FSInfo
| Offset between the beginning of FAT and the FSInfo sector (only used by FAT32) (unit 512B).
U32 | u32_CountofCluster
| Number of cluster (include the two reserved cluster).
U32 | u32_ptr_fat
| FAT address (unit 512B).
U32 | u32_offset_data
| Offset between the beginning of FAT and the first cluster (unit 512B).
Fs_rootdir | rootdir
| Root directory informations.
U16 | u16_entry_pos_sel_dir
| Position of selected directory in her parent directory (only use to speed up the get directory name routine).
U32 | u32_cluster_sel_dir
| First cluster number of selected directory (0 for the root directory).
U16 | u16_pos_sel_file
| File position in the file list (only used by navigation functions).
U16 | u16_pos_filterlist
| File position in the file list filtered (only for nav_filterlist functions).
FS_STRING | sz_filterext
| pointer on extension filter to use in nav_filterlist functions
U8 | b_mode_nav
| Navigation step ( FS_FILE or FS_DIR ).
U8 | b_mode_nav_single
| Navigation File List provide only files or directories.
U8 | u8_flat_dir_level
| Directory level of the current dir in flat list.
U16 | u16_flat_pos_offset
| Offset in flat list of the directory.

## Detailed Description

Struture to save the variables frequently used by file system mounted.

Definition at line 267 of file fat.h.

## Field Documentation

U8 Fs_management::u8_lun

Number of logical driver.

Definition at line 269 of file fat.h.

Referenced by fat_cache_clusterlist_update_finish(), fat_cache_clusterlist_update_read(), fat_cache_read_sector(), fat_check_device(), fat_mount(), fat_read_dir(), fat_read_file(), file_load_segment_value(), file_open(), file_read_buf(), nav_drive_get(), nav_drive_getname(), nav_drive_set(), nav_file_isreadonly(), nav_getindex(), and nav_reset().

U8 Fs_management::u8_partition

Number of partition - 1 (0 or 1).

Definition at line 271 of file fat.h.

Referenced by fat_mount(), nav_drive_get(), nav_drive_getname(), nav_drive_set(), nav_getindex(), nav_partition_set(), and nav_reset().

U8 Fs_management::u8_BPB_SecPerClus

Cluster size (unit 512B).

Definition at line 273 of file fat.h.

Referenced by fat_cache_clusterlist_update_finish(), fat_cache_clusterlist_update_read(), fat_cluster_list(), fat_getfreespace(), fat_getfreespace_percent(), fat_mount(), file_read(), nav_partition_cluster_size(), and nav_partition_space().

U16 Fs_management::u16_fat_size

Size of one FAT (unit 512B).

Definition at line 275 of file fat.h.

Referenced by fat_getfreespace_percent(), and fat_mount().

U16 Fs_management::u16_offset_FSInfo

Offset between the beginning of FAT and the FSInfo sector (only used by FAT32) (unit 512B).

Definition at line 276 of file fat.h.

Referenced by fat_mount().

U32 Fs_management::u32_CountofCluster

Number of cluster (include the two reserved cluster).

Definition at line 277 of file fat.h.

Referenced by fat_getfreespace(), fat_getfreespace_percent(), fat_mount(), and nav_partition_space().

U32 Fs_management::u32_ptr_fat

FAT address (unit 512B).

Definition at line 278 of file fat.h.

Referenced by fat_cache_clusterlist_update_read(), fat_cluster_list(), fat_cluster_val(), and fat_mount().

U32 Fs_management::u32_offset_data

Offset between the beginning of FAT and the first cluster (unit 512B).

Definition at line 279 of file fat.h.

Referenced by fat_cache_clusterlist_update_read(), fat_cluster_list(), and fat_mount().

Fs_rootdir Fs_management::rootdir

Root directory informations.

Definition at line 280 of file fat.h.

Referenced by fat_cluster_list(), and fat_mount().

U16 Fs_management::u16_entry_pos_sel_dir

Position of selected directory in her parent directory (only use to speed up the get directory name routine).

Definition at line 281 of file fat.h.

Referenced by nav_dir_cd(), and nav_dir_name().

U32 Fs_management::u32_cluster_sel_dir

First cluster number of selected directory (0 for the root directory).

Definition at line 282 of file fat.h.

Referenced by fat_mount(), fat_read_dir(), nav_dir_cd(), nav_dir_gotoparent(), nav_dir_is_root(), nav_dir_name(), nav_getindex(), nav_gotoindex(), and nav_partition_mount().

U16 Fs_management::u16_pos_sel_file

File position in the file list (only used by navigation functions).

Definition at line 283 of file fat.h.

Referenced by fat_clear_entry_info_and_ptr(), nav_filelist_eol(), nav_filelist_exist(), nav_filelist_get(), nav_filelist_nb(), and nav_filelist_set().

U16 Fs_management::u16_pos_filterlist

File position in the file list filtered (only for nav_filterlist functions).

Definition at line 284 of file fat.h.

FS_STRING Fs_management::sz_filterext

pointer on extension filter to use in nav_filterlist functions

Definition at line 285 of file fat.h.

U8 Fs_management::b_mode_nav

Navigation step ( FS_FILE or FS_DIR ).

Definition at line 286 of file fat.h.

Referenced by fat_clear_entry_info_and_ptr(), nav_dir_gotoparent(), nav_dir_name(), nav_filelist_eol(), nav_filelist_first(), nav_filelist_nb(), nav_filelist_set(), and nav_filelist_single_enable().

U8 Fs_management::b_mode_nav_single

Navigation File List provide only files or directories.

Definition at line 287 of file fat.h.

Referenced by fat_clear_entry_info_and_ptr(), nav_dir_gotoparent(), nav_dir_name(), nav_filelist_set(), nav_filelist_single_disable(), nav_filelist_single_enable(), and nav_reset().

U8 Fs_management::u8_flat_dir_level

Directory level of the current dir in flat list.

Definition at line 288 of file fat.h.

U16 Fs_management::u16_flat_pos_offset

Offset in flat list of the directory.

Definition at line 289 of file fat.h.

The documentation for this struct was generated from the following file:

- fat.h